package com.muyu.active.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 商品sku模型
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TeamSkuInfoModel {
    private Long productId;
    private String productSku;
    private Long teamStock;
    private BigDecimal teamPrice;
}
