package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.active.domain.ActivityTeamOpenInfo;
import com.muyu.active.domain.ActivityTeamOpenInfoEnum;

/**
 * 商品拼团信息Service接口
 */
public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {
    public Long getActivityTeamOpenInfoNum(Long id, ActivityTeamOpenInfoEnum teamOpenInfo);
    public default Long getTeamOpenNum(Long id){
        return this.getActivityTeamOpenInfoNum(id,ActivityTeamOpenInfoEnum.OPEN_TEAM);
    }
    public default Long getTeamInNum(Long id){
        return this.getActivityTeamOpenInfoNum(id,ActivityTeamOpenInfoEnum.IN_TEAM);
    }
}
