package com.muyu.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.active.domain.ActivityTeamOpenInfo;
import com.muyu.active.domain.ActivityTeamOpenInfoEnum;
import com.muyu.mapper.ActivityTeamOpenInfoMapper;
import com.muyu.service.ActivityTeamOpenInfoService;
import org.springframework.stereotype.Service;

/**
 * 商品开团表service业务层处理
 */
@Service
public class ActivityTeamOpenInfoServiceImpl extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo> implements ActivityTeamOpenInfoService {
    @Override
    public Long getActivityTeamOpenInfoNum(Long id, ActivityTeamOpenInfoEnum teamOpenInfo) {
        LambdaQueryWrapper<ActivityTeamOpenInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(ActivityTeamOpenInfo::getId,id);
        lambdaQueryWrapper.eq(ActivityTeamOpenInfo::getTeamType,teamOpenInfo.code());
        return this.count(lambdaQueryWrapper);
    }
}
