package com.muyu.product.domain.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CategoryInfoUpdReq {
    /** 品类名称 */
    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /** 图片 */
    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /** 是否启用 */
    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /** 介绍 */
    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;
    /**商品属性组关联ID**/
    private List<Long> attributeGroupIdList;
    /**商品属性关联ID**/
    private List<Long> attributeIdList;
    /**商品品牌组关联ID**/
    private List<Long> brandGroupIdList;

}
