package com.muyu.active.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 拼团免单策略表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class TeamStrategyExemption extends BaseEntity {

  private long id;
  private long duration;
  private long exemptionNumber;
  private long maxBuy;
  private long oneBuy;
  private long virtualNumber;
  private String type;
  private String ruleInfo;
  private String status;


}
