package com.muyu.product.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProjectInfoListResp {
    private Long id;

    /** 商品名称 */

    private String name;

    /** 商品描述 */
    private String introduction;

    /** 主类型 */
    private Long mianType;

    /** 父类型 */
    private Long parentType;

    /** 商品类型 */
    private Long type;

    /** 商品图片 */
    private String image;

    /** 商品轮播图 */
    private String carouselImages;

    /** 商品状态 */
    private String status;

    /** 规格 */
    private Long ruleId;

    /** 品牌 */
    private Long brandId;
     /** 主类型名称 */
    private String mianTypeName;
    /** 父类型 名称*/
    private String parentTypeName;
    private String typeName;
    private String brandName;
    private String ruleName;
    private String remark;
}
